# \Query\Drivers\PgsqlSQL

PostgreSQL specific SQL

## Summary

Methods
Properties
Constants
limit()
explain()
random()
dbList()
tableList()
systemTableList()
viewList()
triggerList()
functionList()
procedureList()
sequenceList()
columnList()
typeList()
fkList()
indexList()
No public properties found
No constants found
No protected methods found
No protected properties found
N/A
No private methods found
No private properties found
N/A

File
  Query/Drivers/Pgsql/SQL.php
Package
  Default
Class hierarchy
  \Query\Drivers\AbstractSQL
  \Query\Drivers\Pgsql\SQL

## Tags

None found

## Methods

### limit()

    limit(string  $sql, integer  $limit, integer|boolean  $offset = FALSE) : string

Limit clause

#### Parameters

string | $sql |
integer | $limit |
integer|boolean | $offset |

#### Returns

string

#

Inherited from
  \Query\Drivers\AbstractSQL

## Tags

None found

### explain()

    explain(string  $sql) : string

Get the query plan for the sql query

#### Parameters

string | $sql |

#### Returns

string

#

## Tags

None found

### random()

    random() : string

Random ordering keyword

#### Returns

string

#

## Tags

None found

### dbList()

    dbList() : string

Returns sql to list other databases

#### Returns

string

#

## Tags

None found

### tableList()

    tableList() : string

Returns sql to list tables

#### Returns

string

#

## Tags

None found

### systemTableList()

    systemTableList() : string

Returns sql to list system tables

#### Returns

string

#

## Tags

None found

### viewList()

    viewList() : string

Returns sql to list views

#### Returns

string

#

## Tags

None found

### triggerList()

    triggerList() : string

Returns sql to list triggers

#### Returns

string

#

## Tags

None found

### functionList()

    functionList() : NULL

Return sql to list functions

#### Returns

NULL

#

## Tags

None found

### procedureList()

    procedureList() : string

Return sql to list stored procedures

#### Returns

string

#

## Tags

None found

### sequenceList()

    sequenceList() : string

Return sql to list sequences

#### Returns

string

#

## Tags

None found

### columnList()

    columnList(string  $table) : string

Return sql to list columns of the specified table

#### Parameters

string | $table |

#### Returns

string

#

## Tags

None found

### typeList()

    typeList() : string

SQL to show list of field types

#### Returns

string

#

## Tags

None found

### fkList()

    fkList(string  $table) : string

Get the list of foreign keys for the current table

#### Parameters

string | $table |

#### Returns

string

#

## Tags

None found

### indexList()

    indexList(string  $table) : array

Get the list of indexes for the current table

#### Parameters

string | $table |

#### Returns

array

#

## Tags

None found

### SQL.php